Method: tasks.get

Full name: projects.locations.instances.tasks.get

Gets a single Task. Use this method to retrieve detailed information about a specific task, including its content, assignee, and status.

HTTP request

GET https://{endpoint}/v1alpha/{name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The resource name of the Tasks to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/tasks/{task}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Task.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.tasks.get

For more information, see the IAM documentation.